import {Component, Prop, Event, EventEmitter, h, Listen} from '@stencil/core';

@Component({
  tag: 'hy-menu-mobile-breadcrumb',
  styleUrl: 'menu-mobile-breadcrumb.scss',
  shadow: false
})
export class MenuMobileBreadcrumb {
  @Event() removeBreadcrumb: EventEmitter;

  @Prop() label: string;
  @Prop() bid: string;
  @Prop() isFirst: boolean = false;

  @Listen('handleClick', {capture: true}) handleClick() {
    this.removeBreadcrumb.emit({bid: this.bid});
  }

  render() {
    return this.isFirst ? (
      <button class={'hy-menu-mobile-breadcrumb'} onClick={() => this.handleClick()}>
        <hy-icon icon={'hy-icon-caret-left'} size={12} />
        <span class={'hy-menu-mobile-breadcrumb__label is-home'} aria-label={this.label}>
          <hy-icon class={'is-home'} icon={'hy-icon-home'} size={16} /> /
        </span>
      </button>
    ) : (
      <button class={'hy-menu-mobile-breadcrumb'} onClick={() => this.handleClick()}>
        <hy-icon icon={'hy-icon-caret-left'} size={12} />
        <span class={'hy-menu-mobile-breadcrumb__label'}>{this.label} /</span>
      </button>
    );
  }
}
